# make sure the following variable is present somewhere in the project tree 
# variables:
    # DOCKER_AUTH_CONFIG contains auth of it project for detailedreport image
    # VERACODE_API_ID   
    # VERACODE_API_SECRET
    # VERACODE_FILEPATH     should be added to build.env in build stage
    # VERACODE_POLICYNAME

veracode_inline_scan:
    stage: security_scan
    image: veracode/pipeline-scan:latest
    dependencies:
    - build
    services:
    - name: registry-host.com/it/detailedreport:1.1-alpine
      command: ["-server"]
      alias: "detailedreport"
    script:
        - java -jar /opt/veracode/pipeline-scan.jar -V true -vid ${VERACODE_API_ID} -vkey ${VERACODE_API_SECRET} --file $VERACODE_FILEPATH --issue_details true  --gl_vulnerability_generation true --policy_name "$VERACODE_POLICYNAME" -fjf filtered_results.json 2>&1 | tee pipeline_scan_text_output.txt
    after_script:
        - if [[ -f "results.json" ]]; then curl -d @results.json http://detailedreport:8090/ > pipeline-report.html ; fi
    artifacts:
        reports: 
            sast: veracode_gitlab_vulnerabilities.json
        paths:
            - results.json
            - filtered_results.json
            - pipeline_scan_text_output.txt
            - pipeline_scan_policy_output.txt
            - veracode_gitlab_vulnerabilities.json
            - pipeline-report.html
        when: always
        name: "$CI_REPO_NAME-$CI_COMMIT_REF_NAME-$CI_COMMIT_SHORT_SHA"
    allow_failure: true
    rules:
    - if: $VERACODE_FILEPATH != ''
      when: always
    variables:
        VERACODE_POLICYNAME: "Veracode Recommended Medium + SCA"